    import {Help} from 'tablefilter/src/modules/help.js'

public class | source

# Help

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Help UI component |

## Member Summary

Public Members
public | btn : * |
public | btnCssClass : * |
public | btnHtml : * |
public | btnText : * |
public | cont : * |
public | contCssClass : * |
public | contTgtId : * |
public | defaultHtml : * |
public | instrHtml : * |
public | instrText : * |
public | prfxHelpDiv : string |
public | prfxHelpSpan : string |
public | tf : * |
public | tgtId : * |

## Method Summary

Public Methods
public | destroy () Remove help UI |
public | init () |
public | toggle () Toggle help pop-up |

## Public Constructors

### public constructor(tf: Object) source

Help UI component

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public btn: * source

### public btnCssClass: * source

### public btnHtml: * source

### public btnText: * source

### public cont: * source

### public contCssClass: * source

### public contTgtId: * source

### public defaultHtml: * source

### public instrHtml: * source

### public instrText: * source

### public prfxHelpDiv: string source

### public prfxHelpSpan: string source

### public tf: * source

### public tgtId: * source

## Public Methods

### public destroy() source

Remove help UI

### public init() source

### public toggle() source

Toggle help pop-up